/*
 * Copyright 2012 Jared Bunting, Peach Jean Solutions <jared.bunting@peachjean.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package net.peachjean.restmx.console.providers;

import com.google.common.base.Optional;

import javax.ws.rs.core.MediaType;
import java.nio.charset.Charset;

class ProviderUtils {
	static Charset determineCharset(final MediaType mediaType) {
		return determineCharsetIfPresent(mediaType).or(Charset.defaultCharset());
	}

	static Optional<Charset> determineCharsetIfPresent(final MediaType mediaType) {
		final String name = mediaType.getParameters().get("charset");
		return name == null ? Optional.<Charset>absent() : Optional.of(Charset.forName(name));
	}
}
