/* 
 * Copyright 2012 Jared Bunting, Peach Jean Solutions <jared.bunting@peachjean.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

package net.peachjean.restmx.console.resource;

import com.google.common.collect.ImmutableList;
import net.peachjean.restmx.console.model.MxListModel;
import net.peachjean.restmx.console.model.MxModel;
import net.peachjean.restmx.server.ServerConnectionProvider;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;

@Path("/servers")
public class ServerResource {

	@Context
	private ServerConnectionProvider serverConnectionProvider;

	@Path("{server}")
	@GET
	@Produces({MediaType.TEXT_HTML, MediaType.TEXT_PLAIN, MediaType.APPLICATION_JSON})
	public MxListModel getList(@PathParam("server") final String server) {
		return new MxListModel(server, "list", ImmutableList.of("domains"));
	}

	@GET
	@Produces({MediaType.TEXT_HTML, MediaType.TEXT_PLAIN, MediaType.APPLICATION_JSON})
	public MxModel getServersList() {
		return new MxListModel("servers", "list", serverConnectionProvider.getConnectionKeys());
	}
}
