/*
 * Copyright 2012 Jared Bunting, Peach Jean Solutions <jared.bunting@peachjean.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package net.peachjean.restmx.console.servlet;

import net.peachjean.restmx.console.application.RestMxApplication;
import org.apache.wink.server.internal.handlers.FindRootResourceHandler;
import org.apache.wink.server.internal.servlet.RestServlet;

import javax.ws.rs.core.Application;
import java.io.IOException;
import java.util.Properties;

public class RestMXServlet extends RestServlet {
	@Override
	protected Application getApplication()
			throws ClassNotFoundException, InstantiationException, IllegalAccessException {
		return new RestMxApplication();
	}

	@Override
	protected Properties getProperties() throws IOException {
		Properties properties = super.getProperties();
		properties.setProperty(FindRootResourceHandler.SEARCH_POLICY_CONTINUED_SEARCH_KEY, Boolean.TRUE.toString());
		return properties;
	}
}
