/* 
 * ------------------------------------------------------------------------------------------------
 * Copyright 2011 by Swiss Post, Information Technology Services
 * ------------------------------------------------------------------------------------------------
 * $Id: AbstractMapServerConnectionProvider.java 56 2011-08-23 08:24:35Z laurent.bovet $
 * ------------------------------------------------------------------------------------------------
 *
 */
package net.peachjean.restmx.server;

import javax.management.MBeanServerConnection;
import java.util.ArrayList;
import java.util.List;

/**
 * Superclass for connection providers providing maps.
 *
 * @author bovetl
 * @version $Revision: 56 $
 * @see <script>links('$HeadURL: http://jminix.googlecode.com/svn/trunk/jminix/src/main/java/org/jminix/server/AbstractMapServerConnectionProvider.java $');</script>
 */
public abstract class AbstractMapServerConnectionProvider implements ServerConnectionProvider {

	/**
	 * Not explicitly documented.
	 *
	 * @see net.peachjean.restmx.server.ServerConnectionProvider#getConnections()
	 */
	public List<MBeanServerConnection> getConnections() {
		List<MBeanServerConnection> result = new ArrayList<MBeanServerConnection>();
		for (String key : getConnectionKeys()) {
			result.add(getConnection(key));
		}
		return result;
	}

}
